/**
  *  \file gfx/gfxcompl.h
  *  \brief Complex Graphics Primitives built atop the others
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GFX_GFXCOMPL_H
#define PCC_V2_GFX_GFXCOMPL_H

#include "gfx/gfx.h"

void drawLine(GfxCanvas& can, GfxParameters& parm, const GfxPoint p1, const GfxPoint p2);
void drawLineRel(GfxCanvas& can, GfxParameters& parm, int dx, int dy);
void drawLineTo(GfxCanvas& can, GfxParameters& parm, const GfxPoint pt);
void drawHLine(GfxCanvas& can, GfxParameters& parm, int x1, int y1, int x2);
void drawVLine(GfxCanvas& can, GfxParameters& parm, int x1, int y1, int y2);
void drawCircle(GfxCanvas& can, GfxParameters& parm, const GfxPoint pt, int r);
void drawFilledCircle(GfxCanvas& can, GfxParameters& parm, const GfxPoint pt, int r);
void drawBar(GfxCanvas& can, GfxParameters& parm, int x1, int y1, int x2, int y2);
void drawBar(GfxCanvas& can, GfxParameters& parm, const GfxRect& r);
void drawSolidBar(GfxCanvas& can, const GfxRect& r, uint32 color);
void drawRectangle(GfxCanvas& can, GfxParameters& parm, const GfxRect& r);
void drawArrow(GfxCanvas& can, GfxParameters& parm, const GfxPoint p1, const GfxPoint p2, int ptsize);

#endif
