/**
  *  \file u/t_util.h
  *  \brief Testsuite for utility library (util/).
  *  \ingroup Testsuite
  */
#ifndef PCC_V2_U_T_UTIL_H
#define PCC_V2_U_T_UTIL_H

#include "cxxtest/TestSuite.h"

class UtilAtomTestSuite : public CxxTest::TestSuite {
 public:
    void testHash();
    void testAtom();
};

class UtilBSearchTestSuite : public CxxTest::TestSuite {
 public:
    void testBSearch();
};

class UtilConfTestSuite : public CxxTest::TestSuite {
 public:
    void testValueIntParser();
    void testValueBoolParser();
    void testValueBitsetParser();
};

class UtilIdAllocTestSuite : public CxxTest::TestSuite {
 public:
    void testIdAlloc();
};

class UtilMiscTestSuite : public CxxTest::TestSuite {
 public:
    void testStringMatch();
    void testStringTokenize();
    void testStringValue();
    void testParseFlags();
    void testParseRange();
    void testNumToRoman();
    void testSafeAppendClear();
};

class UtilStrtabTestSuite : public CxxTest::TestSuite {
 public:
    void testStaticTable();
};

#endif
